--Heavily borrowed from XP view's format Thank You Fayn

craftingXP = {}
craftingXP.name = "craftingXP"
craftingXP.command = "/cxp"
craftingXP.version	= "v1.3"
craftingXP.settingsVersion = 1;

craftingXP.settingsDefaults = {
	wndMain = {
		x = 10;
		y = 50;
		width = 170;
		height = 70;
		hidden = false;
	}

}


function craftingXP.Initialize( eventCode, addOnName )

	-- Only set up for craftingXP
	if ( addOnName ~= craftingXP.name ) then
		return
	end


	craftingXP.settings = ZO_SavedVars:New( "craftingXPSettings" , craftingXP.settingsVersion, nil, craftingXP.settingsDefaults, nil );

	craftingXPUI:SetAnchor( TOPLEFT, GuiRoot, TOPLEFT, craftingXP.settings.wndMain.x, craftingXP.settings.wndMain.y );
	craftingXPUI:SetWidth( craftingXP.settings.wndMain.width );
	craftingXPUI:SetHeight( craftingXP.settings.wndMain.height );


	EVENT_MANAGER:RegisterForEvent( "craftingXP", EVENT_SKILL_XP_UPDATE, craftingXP.UpdatcraftingXP );
	EVENT_MANAGER:RegisterForEvent("craftingXP", EVENT_END_CRAFTING_STATION_INTERACT, craftingXP.on_end_crafting_station)
	EVENT_MANAGER:RegisterForEvent("craftingXP", EVENT_CRAFTING_STATION_INTERACT, craftingXP.on_start_crafting_station)

	SLASH_COMMANDS[craftingXP.command] = craftingXPSlashCommands;
	if(craftingXP.settings.wndMain.hidden == true) then
		craftingXPUI:SetHidden(true);

	else
	craftingXPUIWindow:SetText("CraftingXP loaded \n \"/cxp off\" - to hide");
	end

end


-- Hook initialization onto the ADD_ON_LOADED event
EVENT_MANAGER:RegisterForEvent( "craftingXP" , EVENT_ADD_ON_LOADED , craftingXP.Initialize );



function craftingXP.OnMoveStop( self )
	craftingXP.settings.wndMain.x = self:GetLeft();
	craftingXP.settings.wndMain.y = self:GetTop();
	craftingXP.settings.wndMain.width = self:GetWidth();
	craftingXP.settings.wndMain.height = self:GetHeight();
end

function craftingXP.on_end_crafting_station()
	craftingXPUI:SetHidden(true);
end

function craftingXP.on_start_crafting_station()
	craftingXPUI:SetHidden(false);
end


function craftingXP.UpdatcraftingXP(unknown, skillType, skillIndex, lastRankXP, nextRankXP, currentXP)
	local XPgained = GetLastCraftingResultTotalInspiration()
	local skill = GetSkillLineInfo(skillType, skillIndex)
	if(skillType == 8) then
		craftingXPUIWindow:SetText(XPgained .. " " .. skill.. " XP Crafted");
		craftingXPUI:SetHidden(false);
	end
end

function craftingXPSlashCommands(param)
	if(param == "off" or param == "Off" or param == "OFF") then
		craftingXPUI:SetHidden(true);
		craftingXP.settings.wndMain.hidden = true;
	elseif(param == "on" or param == "On" or param == "ON") then
		craftingXPUI:SetHidden(false);
		craftingXP.settings.wndMain.hidden = false;
	else
		d("INVALID /cxp COMMAND")
		d("/cxp off - to hide")
		d("/cxp on - to show")
	end
end
